Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76705 - Distorted images in viewer
Summary: Distorted images in viewer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xsane
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 03:48 UTC by Graham Cole
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-26 10:38:22 UTC


Attachments (Terms of Use)

Description Graham Cole 2002-10-25 03:48:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
When I scan a document in lineart mode, the image is distorted in the viewier,
even when the preview looks fine.  If I scan in "save mode"  the outputted file
will be fine.  If i save from the viewer, the written image will be distorted as
viewed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  run xsane
2.  select "lineart" scan with "viewer" mode
3.  run the scan
	

Actual Results:  The image in the viewer is distorted, ie the image should be
square but is a paralellogram.

Expected Results:  The image should not be distorted.

Additional info:

I have a HP Scanjet 4100c, which is supported by sane-backend.  scanning from
the command line using scanimage works just fine.

Comment 1 Graham Cole 2002-10-26 10:38:15 UTC
I upgraded to version 0.89 with an rpm found on the xsane.org website, and
everything works fine now.  Apparently this is a bug was fixed at the source, so
it's just a matter of making a new package.


Comment 2 Tim Waugh 2002-11-07 14:09:50 UTC
Please verify that xsane-0.89-1 (in rawhide) fixes the problem.


Note You need to log in before you can comment on or make changes to this bug.